Module Sample10
    Sub MARS()
        Dim conn As New SqlClient.SqlConnection( _
            "Data Source=(local);Initial Catalog=AdventureWorks;Integrated Security=True")

        'Comment out the preceding statement and uncomment the following statement to use MARS:
        'Dim conn As New SqlClient.SqlConnection( _
        '    "Data Source=(local);Initial Catalog=AdventureWorks;Integrated Security=True;MultipleActiveResultSets=True")

        Dim cmdsel As New SqlClient.SqlCommand( _
            "SELECT DepartmentID FROM HumanResources.Department", conn)
        Dim cmdUpd As New SqlClient.SqlCommand( _
            "UPDATE HumanResources.Department SET ModifiedDate=GETDATE() " + _
            "WHERE DepartmentID=@DepartmentId", conn)
        Dim par As SqlClient.SqlParameter = _
            cmdUpd.Parameters.Add("@DepartmentId", SqlDbType.Int)
        conn.Open()
        Dim dr As SqlClient.SqlDataReader = cmdsel.ExecuteReader
        While dr.Read
            par.Value = CInt(dr(0))
            'Other operations
            cmdUpd.ExecuteNonQuery()
        End While
        dr.Close()
        conn.Close()
    End Sub
End Module

