------------------
-- Sorting Data --
------------------

SELECT SalesOrderId,OrderDate,SalesOrderNumber,CustomerID,Subtotal,TaxAmt,TotalDue
FROM Sales.SalesOrderHeader  
WHERE CustomerID=676 
ORDER BY OrderDate

SELECT SalesOrderId,OrderDate,SalesOrderNumber,CustomerID, Subtotal,TaxAmt,TotalDue
FROM Sales.SalesOrderHeader  
WHERE CustomerID=676 
ORDER BY OrderDate DESC 

SELECT * 
FROM Sales.Individual 
WHERE ModifiedDate BETWEEN '20041018' AND '20041020' 
ORDER BY Demographics

SELECT SalesOrderId,OrderDate,SalesOrderNumber,CustomerID, 
       Subtotal+TaxAmt+Freight AS Total
FROM Sales.SalesOrderHeader  
WHERE CustomerID=676 
ORDER BY Total DESC

SELECT SalesOrderId,OrderDate,SalesOrderNumber,CustomerID, 
       Subtotal+TaxAmt+Freight AS Total
FROM sales.SalesOrderHeader  
WHERE CustomerID in (676 ,677)
ORDER BY CustomerID,Total DESC

DECLARE @orderby varchar(10)
SET @orderby='date'
SELECT SalesOrderId,OrderDate,SalesOrderNumber,CustomerID, 
       Subtotal+TaxAmt+Freight as Total
FROM sales.SalesOrderHeader  
WHERE CustomerID in (676 ,677)
ORDER BY CASE @orderby WHEN 'date' THEN SalesOrderHeader.OrderDate 
                       WHEN 'total' THEN 5 
                       ELSE SalesOrderHeader.SalesorderId 
            END
