CREATE FUNCTION GetAvgCust(@CustomerID int)
   RETURNS money
AS
BEGIN
   DECLARE @Amount MONEY
   SET @Amount = 0
   SELECT     @Amount = AVG(TotalDue)
   FROM         Sales.SalesOrderHeader
   WHERE     (CustomerID = @CustomerID)
   RETURN ISNULL(@Amount, 0)
END


PRINT dbo.GetAvgCust(23)


SELECT CustomerID, Name, dbo.GetAvgCust(CustomerID) AS Amount
FROM Sales.Store
WHERE Name = 'Bike World'


SELECT Name, dbo.GetAvgCust(CustomerID) as Amount FROM Sales.Store
WHERE dbo.GetAvgCust(CustomerID) > 120000
