IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'SubCategory_Update')
	BEGIN
		DROP  Procedure  SubCategory_Update
	END

GO

CREATE Procedure SubCategory_Update
	@ProductSubCategoryID int,
	@ProductCategoryID int,
    @Name nvarchar(50),
	@rowguid uniqueidentifier,
	@ModifiedDate datetime
AS
UPDATE [AdventureWorks].[Production].[ProductSubcategory]
   SET [ProductCategoryID] = @ProductCategoryID
      ,[Name] = @Name
      ,[rowguid] = NEWID()
      ,[ModifiedDate] = GETDATE()
 WHERE ProductSubCategoryId=@ProductSubCategoryId AND [rowguid] = @rowguid
GO


