If MsgBox("Do you want to delete the selected sub category?", _
    MsgBoxStyle.Question Or MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
    Try
'Get the row depending on the selected cell in the Gridview
        With SubCategories_GetOneTableAdapter1
            .Fill( _
                AdvWorks1.SubCategories_GetOne, _
                AdvWorks1.SubCategories_GetAll.Rows( _
                DataGridView1.SelectedCells(0).RowIndex).Item(0))
'Delete the row in the DataTable
            AdvWorks1.SubCategories_GetOne.Rows(0).Delete()
'Update the changes to the database
            .Update(AdvWorks1.SubCategories_GetOne)
        End With
'reload the Datagrid rows
        SubCategories_GetAllTableAdapter1.Fill( _
            AdvWorks1.SubCategories_GetAll)
    Catch ex As SqlClient.SqlException
        Select Case ex.Number
            Case 547 'Referential error.
'In this case, the row has related rows in other tables
                MsgBox("Cannot delete. The subcategory is in use in some Products")
            Case Else
                MsgBox(ex.Message)
        End Select

    Catch ex As Exception
        MsgBox(ex.Message)
    End Try
End If
