-- Load the assembly
CREATE ASSEMBLY FileUtil
FROM 'C:\MyFunc\FileUtil.dll'
WITH permission_set = external_access
GO
-- Create a SQL Server function that calls the CLR function
CREATE PROCEDURE CopyFile( @SourceFileName nvarchar(256), @DestFileName nvarchar(256) )
AS 
EXTERNAL NAME FileUtil.FileUtil.CopyFile
GO
-- Create a SQL Server function that calls the CLR function
CREATE PROCEDURE MoveFile( @SourceFileName nvarchar(256), @DestFileName nvarchar(256) )
AS 
EXTERNAL NAME FileUtil.FileUtil.MoveFile
GO
-- Create a SQL Server function that calls the CLR function
CREATE PROCEDURE DeleteFile( @FileName nvarchar(256) )
AS 
EXTERNAL NAME FileUtil.FileUtil.DeleteFile
GO



EXEC CopyFile 'c:\Data\Export.txt', 'c:\Backup\Export.txt'