CREATE TABLE dbo.ExternalOrders
	(
	Id int NOT NULL IDENTITY (1, 1),
	OrderDate smalldatetime NOT NULL,
	CurrencyCode nchar(3) NOT NULL,
	Amount smallmoney NOT NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.ExternalOrders ADD CONSTRAINT
	PK_ExternalOrders PRIMARY KEY CLUSTERED 
	(
	Id
	) WITH(
		STATISTICS_NORECOMPUTE = OFF, 
		IGNORE_DUP_KEY = OFF, 
		ALLOW_ROW_LOCKS = ON, 
		ALLOW_PAGE_LOCKS = ON) 
	ON [PRIMARY]
GO
ALTER TABLE dbo.ExternalOrders ADD CONSTRAINT
	FK_ExternalOrders_Currency FOREIGN KEY
	(
	CurrencyCode
	) REFERENCES Sales.Currency
	(
	CurrencyCode
	) ON UPDATE  NO ACTION 
	 ON DELETE  NO ACTION 
GO

