 USE [AdventureWorks]
GO
/****** Object:  StoredProcedure [Sales].[SalesReason_DeleteChecked]    Script Date: 04/17/2006 08:39:32 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[Sales].[SalesReason_DeleteChecked]') AND type in (N'P', N'PC'))
DROP PROCEDURE [Sales].[SalesReason_DeleteChecked]
GO
/****** Object:  StoredProcedure [Sales].[SalesReason_DeleteChecked]    Script Date: 04/17/2006 08:32:12 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [Sales].[SalesReason_DeleteChecked]
	@SalesReasonId int,
	@CheckStamp bigint,
	@DeletedRecords int=null OUTPUT
AS
BEGIN
	Delete Sales.SalesReason 
		where SalesReasonID=@SalesReasonId 
		and cast(Lastversion as bigint)=@CheckStamp
	set @DeletedRecords=@@ROWCOUNT
-- Raise an error when no rows was deleted
if @DeletedRecords=0
	raiserror (51001,16,1)
END
