IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'SubCategories_GetAll')
	BEGIN
		DROP  Procedure  SubCategories_GetAll
	END
GO

CREATE Procedure SubCategories_GetAll
AS
SELECT	Production.ProductSubcategory.ProductSubcategoryID, 
		Production.ProductCategory.Name AS Category, 
		Production.ProductSubcategory.Name
FROM	Production.ProductSubcategory 
INNER JOIN
	Production.ProductCategory 
ON 
	Production.ProductSubcategory.ProductCategoryID = 
		Production.ProductCategory.ProductCategoryID
ORDER BY	Category, 
			Production.ProductSubcategory.Name
GO


