USE AdventureWorks
GO
ALTER TRIGGER [dbo].[vProductFullCategoriesUpdateTrigger] 
   ON [dbo].[vProductFullCategories]
INSTEAD OF UPDATE
AS
BEGIN
   IF UPDATE(Name)
      BEGIN
         UPDATE Production.ProductSubcategory 
         SET Name=inserted.Name 
         FROM 
         Production.ProductSubcategory 
            INNER JOIN inserted 
            ON Production.ProductSubcategory.ProductSubcategoryID 
               =inserted.ProductSubcategoryID
      END
   IF UPDATE(CategoryName)
      BEGIN
         UPDATE Production.Productcategory 
         SET Name=inserted.Name 
         FROM 
         Production.ProductSubcategory 
            INNER JOIN inserted 
            ON Production.ProductSubcategory.ProductSubcategoryID
               =inserted.ProductSubcategoryID
         INNER JOIN Production.ProductCategory 
            ON Production.ProductCategory.ProductCategoryID
               =Production.ProductSubcategory.ProductCategoryID
      END
END   
 